/* eslint-env node */

import path from 'path';
import {defineConfig} from 'vite';
import react from '@vitejs/plugin-react-swc';
import babel from 'vite-plugin-babel';

// https://vite.dev/config/
export default defineConfig({
  plugins: [
    react(),
    babel({
      babelConfig: {
        plugins: ['transform-amd-to-commonjs', 'babel-plugin-styled-components']
      }
    })
  ],
  resolve: {
    alias: {
      assets: path.resolve(process.cwd(), 'src', 'assets'),
      components: path.resolve(process.cwd(), 'src/components'),
      constants: path.resolve(process.cwd(), 'src', 'constants'),
      config: path.resolve(process.cwd(), 'src', 'config'),
      hooks: path.resolve(process.cwd(), 'src', 'hooks'),
      interfaces: path.resolve(process.cwd(), 'src', 'interfaces'),
      routers: path.resolve(process.cwd(), 'src', 'routers'),
      store: path.resolve(process.cwd(), 'src', 'store'),
      services: path.resolve(process.cwd(), 'src', 'services'),
      theme: path.resolve(process.cwd(), 'src', 'theme'),
      lang: path.resolve(process.cwd(), 'src', 'lang'),
      utility: path.resolve(process.cwd(), 'src', 'utility'),
      views: path.resolve(process.cwd(), 'src', 'views')
    }
  }
});
